import React, { ReactNode } from 'react';
declare type ListTypeCharacter = {
    type?: 'bullet' | 'number' | 'none';
    icon?: never;
};
declare type ListTypeIcon = {
    type: 'icon';
    icon: ReactNode;
};
export declare type ListProps = {
    className?: string;
    children: ReactNode;
} & (ListTypeIcon | ListTypeCharacter);
export declare const List: React.FC<ListProps>;
export {};
